package com.winsea.svc.clouddisk.annotation;
import com.winsea.svc.clouddisk.annotation.DateTimeValidator;

import javax.validation.Constraint;
import javax.validation.Payload;

import java.lang.annotation.*;

@Target({ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = DateTimeValidator.class)
public @interface DateTime {
    String message() default "格式错误";

    String format() default "yyyy/MM/dd";
    
    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}